Aller au contenu



  • Vous ne pouvez pas répondre à ce sujet
10 replies to this topic

#1 Txon

Txon

    AïoligaToR

  • Administrateur
  • PipPipPipPipPipPipPipPipPip
  • 10 854 Messages :
  • Gender:Male

Posté 14 mai 2015 - 18:35

Salut !

 

Utilisez-vous une machine virtuelle ? Si oui méfiez-vous de Venom découvert par Jason Geffner .

 

1431624017.png

 

VENOM Vulnerability: Community Patching and Mitigation Update (The Lab .. Dmitri Alperovitch .. 13 Mai 2015)

Extremely serious virtual machine bug threatens cloud providers everywhere ((Dab Goodin .. Ars Technica .. 13 mai 2015)

 

Venom est une faille de sécurité dans le code du lecteur virtuel de disquette utilisé par de nombreuses plates-formes de virtualisation. Cette vulnérabilité peut permettre à un attaquant d'échapper aux limites d'une machine virtuelle (VM) infectée.

Si vous utilisez QEMU ou des systèmes de virtualisation qui l'utilisent, comme Xen, KVM et VirtualBox d'Oracle, vous pourriez être piraté.

Venom est une simple faille de débordement de la mémoire tampon (memory buffer overflow). Elle peut être exploitée sur un système d'exploitation qui prend en charge la virtualisation QEMU ou des hyperviseurs. Cela inclut, Linux, Mac OS X, Solaris et Windows. Même si aucun malware n'utilise encore cette vulnérabilité, écrire un exploit est trivial. Ça viendra donc sans doute très vite.

 

Toute personne exécutant un serveur Linux avec QEMU installé ou un système de virtualisation qui l'utilise devrait suivre les instructions générales données par Red Hat qui a rapidement réagi.

L'équipe de Debian aussi. Sur Debian le ''fix'' existe déjà pour ''Wheezy'' et ''Jessie''. Il suffirait simplement de mettre à jour le système avec les commandes suivantes dans le Terminal ..

sudo apt-get clean
sudo apt-get update
sudo apt-get upgrade

Éteignez votre machine virtuelle, redémarrez-la.

Le patch pour Suse serait encore en préparation.

 

Et pour Windows ou Mac OS X?

 

@+


"They who can give up essential liberty to obtain a little temporary safety, deserve neither liberty nor safety."(Benjamin Franklin)


#2 noisette

noisette

    Webmarster

  • Admin
  • PipPipPipPipPipPipPipPipPip
  • 21 167 Messages :
  • Gender:Male

Posté 14 mai 2015 - 19:53

Merci de l'info !

 

 

J'ai opéré la mise à jour de mon système.

 

J'avoue que mon windows virtuel est certes protégé, mais pas autant que je ne l'aurais fait en système hôte.



#3 Txon

Txon

    AïoligaToR

  • Administrateur
  • PipPipPipPipPipPipPipPipPip
  • 10 854 Messages :
  • Gender:Male

Posté 15 mai 2015 - 03:51

J'avoue que mon windows virtuel est certes protégé, mais pas autant que je ne l'aurais fait en système hôte.

 

Un Windows virtuel n'est protégé que par sa propre virtualisation. Si Windows était système hôte ce serait très dangereux.

En effet, pour monter une tentative d'exploit, un utilisateur agressif sur la machine hôte aurait besoin d'autorisations suffisantes pour accéder au contrôleur de ports I / O de la disquette. Avec une base Linux, cela signifie que l'utilisateur aurait besoin d'avoir un accès root ou autre type de privilège élevé ce qui est pour le moins compliqué. Mais sur les systèmes invités d'une base Windows, pratiquement tout utilisateur aurait les autorisations suffisantes.

 

@+
 


"They who can give up essential liberty to obtain a little temporary safety, deserve neither liberty nor safety."(Benjamin Franklin)


#4 noisette

noisette

    Webmarster

  • Admin
  • PipPipPipPipPipPipPipPipPip
  • 21 167 Messages :
  • Gender:Male

Posté 15 mai 2015 - 06:28

Merci de tes précisions, car effectivement, on a peut-être tendance, quand on est "simple utilisateur" comme c'est mon cas, à se croire trop à l'abri des nuisances quand on virtualise.

#5 Txon

Txon

    AïoligaToR

  • Administrateur
  • PipPipPipPipPipPipPipPipPip
  • 10 854 Messages :
  • Gender:Male

Posté 15 mai 2015 - 12:29

..

 

Pour l'instant, Microsoft se contente de souligner que certains produits ne sont pas affectés.

For those wondering, the two most popular virtualization platforms, VMware and Microsoft Hyper-V, are not impacted by this vulnerability.

Pas un mot pour le reste ..

 

…. …. …. ….

…. …. …. ….

 

How To Patch and Protect Linux Server Against the VENOM Vulnerability # CVE-2015-3456 (Vivek Gite .. Cyberciti - Nixcraft .. 13 mai 2015)

Liste des distributions Linux affectées (leurs "filles" le sont aussi) et des "patches" à appliquer ..

 

@+


"They who can give up essential liberty to obtain a little temporary safety, deserve neither liberty nor safety."(Benjamin Franklin)


#6 Txon

Txon

    AïoligaToR

  • Administrateur
  • PipPipPipPipPipPipPipPipPip
  • 10 854 Messages :
  • Gender:Male

Posté 16 mai 2015 - 06:34

..

 

La sécurité des données de Cloud menacée par « VENOM » (Michael Guilloux .. Devellopez .. 15 mai 2015)
CrowdStrike a travaillé avec les fabricants des logiciels vulnérables pour les aider à corriger le bug avant de le rendre publique. A ce jour, des correctifs sont disponibles pour le projet Xen et le projet QEMU. Red Hat a également publié des patchs pour corriger ses systèmes. Quand à Oracle, ils prévoient une « version de maintenance de VirtualBox 4.3 » très bientôt tout en indiquant que seulement une minorité de leurs utilisateurs pourrait être affectée.

 

@+


"They who can give up essential liberty to obtain a little temporary safety, deserve neither liberty nor safety."(Benjamin Franklin)


#7 noisette

noisette

    Webmarster

  • Admin
  • PipPipPipPipPipPipPipPipPip
  • 21 167 Messages :
  • Gender:Male

Posté 16 mai 2015 - 07:25

Je me demandais un truc:


la plupart de nos PC aujourd'hui ne sont pas équipés d'un lecteur de disquettes.
Le système hôte propose l'option lecteur de disquettes pour l'ordre de boot, même si aucun lecteur n'équipe la machine
mais il ne le propose pas pour le stockage, puisqu'il n'y en a pas.


Est-ce que cela à un effet sur la faille: la présence physique d'un vrai lecteur de disquettes est-il nécessaire à l'utilisation de cette faille ?



Merci !

#8 Darksky

Darksky

    Martien

  • Eminence Verte
  • PipPipPipPipPipPipPipPip
  • 1 212 Messages :
  • Gender:Male
  • Location:Belgique

Posté 16 mai 2015 - 07:40

Je me suis posé la même question.

 

A mon avis, la faille se base sur l'émulation du lecteur de disquettes, sans se soucier de la présence physique d'un tel lecteur, sans quoi il n'y aurait pas de "ramdam" comme celui-là.

Ou, tout du moins, l'auraient-ils signalé dans les sujets.

 

Je pense que le pc équipés de lecteurs de disquettes, même si certain font de la résistance, ne doivent plus être légion.


"Ils ne savaient pas que c'était impossible, alors ils l'ont fait."

Mark Twain


#9 Txon

Txon

    AïoligaToR

  • Administrateur
  • PipPipPipPipPipPipPipPipPip
  • 10 854 Messages :
  • Gender:Male

Posté 16 mai 2015 - 09:15

..

 

A mon avis, la faille se base sur l'émulation du lecteur de disquettes, sans se soucier de la présence physique d'un tel lecteur, sans quoi il n'y aurait pas de "ramdam" comme celui-là.

Ou, tout du moins, l'auraient-ils signalé dans les sujets.

+1 :yes:

 

@+


"They who can give up essential liberty to obtain a little temporary safety, deserve neither liberty nor safety."(Benjamin Franklin)


#10 noisette

noisette

    Webmarster

  • Admin
  • PipPipPipPipPipPipPipPipPip
  • 21 167 Messages :
  • Gender:Male

Posté 16 mai 2015 - 09:25

Bon bah alors tout le monde est concerné. :ga:

En tout cas ceux qui ne sont pas à jour !



Merci ! :yes:

#11 Txon

Txon

    AïoligaToR

  • Administrateur
  • PipPipPipPipPipPipPipPipPip
  • 10 854 Messages :
  • Gender:Male

Posté 20 mai 2015 - 05:58

..

 

Oracle releases antidote for VENOM vulnerability (Darren Pauli .. The Register .. 19 mai 2015)

« La société suit une foule d'autres, y compris KVM et Xen qui ont corrigé le bogue de débordement de tampon. »

 

Oracle responds to Venom with updates (Ava Fedorov .. SC Magazine .. 19 mai 2015)

« Selon un communiqué publié sur son site Web, Oracle s'occupera du bogue avec des mises à jour de Oracle Linux, Oracle Virtual Compute Appliance, Oracle VM et Oracle VM VirtualBox. Toutefois, la société a noté que d'autres produits, y compris Oracle Database Appliance, Oracle Exadata Database Machine et Oracle Exalogic Elastic Cloud, ne disposent pas encore de mises à jour disponibles. »
 

@+


"They who can give up essential liberty to obtain a little temporary safety, deserve neither liberty nor safety."(Benjamin Franklin)




0 utilisateur(s) en train de lire ce sujet

0 membre(s), 0 invité(s), 0 utilisateur(s) anonyme(s)